<? session_start();

if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
	include ("fphp.php"); 
	$accion=$_REQUEST["accion"];
	$enlace=cargar_conexion();
	$cedula=str_repeat('0',8-strlen(trim($_REQUEST["cedula"]))).trim($_REQUEST["cedula"]);
	
	//================== buscar datos del personal
	$consulta="select nomina,personal.fechai,personal.nombres,personal.nombres1,personal.apellidos,personal.apellidos1,cargo,personal.smes, departamento, empresa,fecha_retiro as fechae,personal.status from personal LEFT OUTER JOIN (liquidaciones)ON (codigo=cedula) where codigo='".$cedula."' ";
	$resultado = mysqli_query($enlace, $consulta) or die($consulta . mysqli_error($enlace));
	$row=mysqli_fetch_array($resultado);
	$tiponomina=$row['nomina'];
	$_POST['personal']=trim($row['nombres'])." ".trim($row['nombres1']).' '.trim($row['apellidos'])." ".trim($row['apellidos1']);
	
	$_POST['dgerencia']='';
	if ($_SESSION['modo_validar']>0) {
		$consultag="Select * from tablas where tabla=ucase('EMPRESA') and id='".$_SESSION['id_validar']."' and codigo='".trim($row['empresa'])."' order by codigo,detalle";
		$consultagg = mysqli_query($enlace, $consultag) or die ("no se pudo realizar la consulta...".$consultag.'='.mysqli_error($enlace));	
		$rowg = mysqli_fetch_array($consultagg);
		$_POST['dgerencia']=$rowg['detalle'];
	} 
	
	require('fpdf.php');
	class PDF extends FPDF {
	function Header()
		{
			if ($_POST['dgerencia']=='') {
				$this->Image($_SESSION['logo_validar'],10,10,30,30);				
				//$this->Ln(2);
				$this->SetFont('arial','B',10);
				$this->Cell(0,5,$_POST['personal'],0,1,'R');
				$this->SetFont('arial','',8);
				$this->Cell(0,5,$_SESSION['empresa_validar'],0,1,'R'); 
				
			} else {
				$this->Ln(5);
				$this->SetFont('arial','B',16);
				$this->Cell(0,9,$_POST['dgerencia'],0,1,'C'); 
			}	
			$this->Cell(0,5,$_POST['encabeza'],0,1,'R');
			$this->SetFont('arial','',10);
	    	//$this->Cell(0,5,'Fecha: '.hoy(),0,1,'R'); 
			$this->SetFont('arial','B',15); 
			//$this->Ln(2);
			$this->Cell(0,5,'INFORME DE ANTIGUEDAD',0,1,'C');
			$this->Cell(0,5,'DE PRESTACIONES SOCIALES E INTERESES',0,1,'C');
			$this->SetFont('arial','',8); 
			$this->Cell(0,5,'Articulo 142 - LOTTT',0,1,'C');
			//$this->Cell(0,5,$_POST['personal'],0,1,'C');
			$this->SetFont('arial','',10);
			$this->ln(5);
		}
		function Footer() {}
	}
	$pdf=new PDF($orientacion='L',$unit='mm',$format='letter');
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);
	$ancho=20;
	
	//================== buscar cargo
	$consultaf="select detalle from tablas where tabla='CARGO' and codigo='".$row['cargo']."'  and id='".$_SESSION['id_validar']."'";
	$resultadof = mysqli_query($enlace, $consultaf) or die($consultaf . mysqli_error($enlace));
	$rowf=mysqli_fetch_array($resultadof);
	$car=$rowf['detalle'];
	
	//================== buscar departamento
	$consultaf="select detalle from tablas where tabla='DEPARTAMENTO' and codigo='".$row['departamento']."'  and id='".$_SESSION['id_validar']."'";
	$resultadof = mysqli_query($enlace, $consultaf) or die($consultaf . mysqli_error($enlace));
	$rowf=mysqli_fetch_array($resultadof);
	$dep=$rowf['detalle'];
	
	//================== mostrar datos personales
	$pdf->SetFont('Arial','U',15);
	//$pdf->cell(10,10,'Informaci�n del Empleado:',0,1,'',1);

	$pdf->SetFont('Arial','B',9);
	$pdf->cell(10,5,utf8_decode('CÉDULA DE IDENTIDAD: ').$cedula,0,1,'',0);
	$pdf->cell(10,5,'NOMBRES Y APELLIDOS: '.trim($row['nombres']).' '.$row['nombres1'].", ".trim($row['apellidos'])." ".$row['apellidos1'],0,1,'',0);
	$pdf->cell(10,5,'CARGO: '.$car.' / DEPARTAMENTO: '.$dep,0,1,'',0);
	//$pdf->cell(10,5,'DEPARTAMENTO: '.$dep,0,1,'',0);
	$pdf->cell(10,5,utf8_decode('Fecha de emisión: ').hoy().".",0,1,'',0);

	$pdf->cell(20,5,'',0,1,'');
		
	$pdf->SetFont('Arial','B',9);
	$pdf->cell(50,5,'Fecha de Ingreso',1,0,'C',0);
	$pdf->cell(50,5,utf8_decode('Años de Antiguedad'),1,0,'C',0);
	$pdf->cell(50,5,'Salario Mensual',1,0,'C',0);
	$pdf->cell(40,5,'Salario Diario',1,1,'C',0);
     
	$pdf->SetFont('Arial','',8);
	$ant  = utf8_decode("Años: ").(mostrar_antiguedad(1,$row['fechai'],$row['status']=='I'?$row['fechae']:date('Y-n-j')))." ";
	$ant .= "Meses: ".(mostrar_antiguedad(2,$row['fechai'],$row['status']=='I'?$row['fechae']:date('Y-n-j')))." ";
	$ant .= utf8_decode("Días: ").(mostrar_antiguedad(3,$row['fechai'],$row['status']=='I'?$row['fechae']:date('Y-n-j')))."";
	
		
	$pdf->cell(50,5,mostrar_fecha($row['fechai']),1,0,'C',0);
	$pdf->cell(50,5,$ant,1,0,'C',0);
	$pdf->cell(50,5,number_format($row['smes'],2),1,0,'C',0);
	$pdf->cell(40,5,number_format($row['smes']/30,2),1,1,'C',0);
	$pdf->ln(10);
	
	//============ datos de empresa
	$consulta=mysqli_query($enlace, "select * from empresa where id='".$_SESSION['id_validar']."' ");
	$rowr=mysqli_fetch_array($consulta);
	$ince=$rowr['ince'];
	$dvac=$rowr['dvac'];
	$duti=$rowr['duti'];
	$icon=$rowr['icon'];
	$con01=$rowr['constante01'];
	$con02=$rowr['constante02'];
	$con03=$rowr['constante03'];
	$con04=$rowr['constante04'];
	$sueldominimo=$rowr['sueldominimo'];
	
	//=========== datos de prestaciones
	$consultax="select * from liquidaciones where cedula='".$cedula."' and id='".$_SESSION['id_validar']."' ";
	//echo $consultax; exit;
	$resultadox = mysqli_query($enlace, $consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	
	//===========egresado o no
	$egresado=false;
	
	if (mysqli_num_rows($resultadox)>0) {
		$rowx=mysqli_fetch_array($resultadox);
		$smes = $rowx['smes'];
		$dias = $rowx['dias'];	
		$fec1 = $rowx['fechai'];
		$fec2 = $rowx['fecha_retiro'];
		$vac = $rowx['vacacion'];
		$egresado=true;
	} else {
		$smes = $row['smes'];
		$dias = 0;	
		$fec1 = $row['fechai'];
		$fec2 = date('Y-m-d');
		$vac = 0;
	}	
	
	$semana=0;
	if ($dias>1 && $dias<=7) $semana=1;
	if ($dias>7) $semana=2;

	if ($accion==2) {
		$fec1=$row['fechai'];	
		$fec2=date('Y-m-d');
		$egresado=false;
	}
	
	$afn=substr($fec1,0,4);	
	$mfn=substr($fec1,5,2);	
	$a=substr($fec2,0,4);	
	$m=substr($fec2,5,2);	
	if ($m-$mfn<0) $meses = ($a-$afn-1)*12 + ($m-$mfn+12);
	else $meses = ($a-$afn)*12 + ($m-$mfn);

	if ($mfn>=1 && $mfn < $m) $mesutilidad = $m - $mfn;
	else $mesutilidad = $m;
	$utilidad = $duti/12*$mesutilidad*($smes/30);
	


	
	$pdf->SetFillColor(238,239,243);
	$pdf->SetTextColor(0);
	//============ mostrar informe
	$header=array(utf8_decode('Año/Mes'),'Prestaciones','Tasa(%)','Int/Mes','Int/Acumulado.','Int/Pagado',utf8_decode('Años'),'Meses',utf8_decode('Días'),'Ali/Vac','Ali/Uti','Sal/Integral','Bs. del mes','Acumulado','Anticipos');
	//$header=array('A�o/Mes','Prestaciones','Tasa(%)','Int/Ganado','Int/Capitaliz.','Adel/Int','A�os','Meses','D�as','Sal/Integral','Bs. del mes','Acumulado','Anticipos');
	$anchof=array($ancho,$ancho,$ancho,$ancho,$ancho,$ancho,10,10,10,15,15,$ancho,$ancho,$ancho,$ancho);
	//$anchof=array($ancho,$ancho,$ancho,$ancho,$ancho,$ancho,10,10,10,$ancho+10,$ancho+10,$ancho+10,$ancho);
	
	$header=array(utf8_decode('Año/Mes'),utf8_decode('Años'),'Meses',utf8_decode('Días'),'Salario','Ali/Vac','Ali/Uti','Sal/Integral','Bs. del mes','Acumulado','Anticipos','Tasa(%)','Int/Mes','Int/Acumu.','Int/Pagado');
	$anchof=array($ancho,10,10,10,$ancho,15,15,$ancho,$ancho,$ancho,$ancho,$ancho,$ancho,$ancho,$ancho);
	
	for($i=0;$i<15;$i++) $pdf->Cell($anchof[$i],8,$header[$i],1,0,'C',0);
	$pdf->Ln();


	//============ datos inicializando
	$fec11x = $fec1;
	$fec22x = $fec2;
	$fec11 = substr($fec1,0,7);
	$fec22 = substr($fec2,0,7);
	$inicio=0; $tri=0; $salto=0; $anosx=0; $anos=0; $entrosueldo=0; 
	$acumulado=0; $intereses=0; $tdias=0; $prestaciones=0;$interesganados=0;
	$cuantosmeses=0;
	//=============totalizar otras columnas
	$acumintpag=0;
	$acumanticp=0;

	//============ datos de sueldo
	$consulta=mysqli_query($enlace, "select SUM(sueldo) AS sueldo from personal_sueldo where id='".$_SESSION['id_validar']."' and substring(fec,1,7)='".$fec11."' and codigo='".$cedula."'") or die (mysqli_error($enlace));
	$row=mysqli_fetch_array($consulta);   
	if (mysqli_num_rows($consulta)!=0) $sueldo=$row['sueldo'];
	
	//===========Agregado para calcular el trimestre
	$fec11 = $fec1;
	$fec22 = $fec2;
	
	//====================== proceso de prestaciones
	//====================== proceso de prestaciones
		$_POST['tipo_salida']=1;
		include("proceso_prestaciones.php");		
	//====================== proceso de prestaciones
	//====================== proceso de prestaciones

	
	//====================== mostrar resultado final 
	$color=0;
	$pdf->Cell($ancho*13,0,'',1,1,'C'); 
	$pdf->ln(1); 
	
	$pdf->cell($ancho+20,5,'',0,0,'C',$color);
	$pdf->cell(10,5,number_format($tdias,0),0,0,'R',$color);
	$pdf->cell(($ancho*3)+30,5,'',0,0,'C',$color);
	$pdf->cell($ancho,5,number_format($acumulado,2),0,0,'R',$color);
	$pdf->cell($ancho,5,number_format($acumanticp,2),0,0,'R',$color);
	$pdf->cell($ancho,5,'',0,0,'C',$color);
	
	$pdf->cell($ancho,5,'',0,0,'R',$color);
	$pdf->cell($ancho,5,number_format($interesganados,2),0,0,'R',$color);
	$pdf->cell($ancho,5,number_format($acumintpag,2),0,1,'R',$color);


	$pdf->Cell($ancho*13,0,'',1,1,'C'); 
	$pdf->ln(1); 
	$pdf->Cell($ancho*13,0,'',1,1,'C'); 
	$pdf->Output();
	
?>